org.apache.calcite.avatica

## Enum SqlState

- java.lang.Object
- - java.lang.Enum<SqlState>
  - - org.apache.calcite.avatica.SqlState

All Implemented Interfaces:
  Serializable, Comparable<SqlState>

    public enum SqlState
    extends Enum<SqlState>

SQL error codes.

Based upon Table 33 — SQLSTATE class and subclass values in SQL:2014 section 24.1, which is as follows.

Table 33 — SQLSTATE class and subclass values
Category | Condition | Class | Subcondition | Subclass
--- | --- | --- | --- | ---
X | ambiguous cursor name | 3C | (no subclass) | 000
X | attempt to assign to non-updatable column | 0U | (no subclass) | 000
X | attempt to assign to ordering column | 0V | (no subclass) | 000
X | cli specific condition | HY | (no subclass) | 000
X | cardinality violation | 21 | (no subclass) | 000
X | connection exception | 08 | (no subclass) | 000
|  |  | connection does not exist | 003
|  |  | connection failure | 006
|  |  | connection name in use | 002
|  |  | SQL-client unable to establish SQL-connection | 001
|  |  | SQL-server rejected establishment of SQL-connection | 004
|  |  | transaction resolution unknown | 007
X | cursor sensitivity exception | 36 | (no subclass) | 000
|  |  | request failed | 002
|  |  | request rejected | 001
X | data exception | 22 | (no subclass) | 000
|  |  | array data, right truncation | 02F
|  |  | array element error | 02E
|  |  | attempt to replace a zero-length string | 01U
|  |  | character not in repertoire | 021
|  |  | datetime field overflow | 008
|  |  | division by zero | 012
|  |  | error in assignment | 005
|  |  | escape character conflict | 00B
|  |  | indicator overflow | 022
|  |  | interval field overflow | 015
|  |  | interval value out of range | 00P
|  |  | invalid argument for natural logarithm | 01E
|  |  | invalid argument for NTILE function | 014
|  |  | invalid argument for NTH_VALUE function | 016
|  |  | invalid argument for power function | 01F
|  |  | invalid argument for row pattern navigation operation | 02J
|  |  | invalid argument for width bucket function | 01G
|  |  | invalid character value for cast | 018
|  |  | invalid datetime format | 007
|  |  | invalid escape character | 019
|  |  | invalid escape octet | 00D
|  |  | invalid escape sequence | 025
|  |  | invalid indicator parameter value | 010
|  |  | invalid interval format | 006
|  |  | invalid parameter value | 023
|  |  | invalid period value | 020
|  |  | invalid preceding or following size in window function | 013
|  |  | invalid regular expression | 01B
|  |  | invalid repeat argument in a sample clause | 02G
|  |  | invalid row count in fetch first clause | 01W
|  |  | invalid row count in result offset clause | 01X
|  |  | invalid row version | 01H
|  |  | invalid sample size | 02H
|  |  | invalid time zone displacement value | 009
|  |  | invalid use of escape character | 00C
|  |  | invalid XQuery option flag | 01T
|  |  | invalid XQuery regular expression | 01S
|  |  | invalid XQuery replacement string | 01V
|  |  | most specific type mismatch | 00G
|  |  | multiset value overflow | 00Q
|  |  | noncharacter in UCS string | 029
|  |  | null value substituted for mutator subject parameter | 02D
|  |  | null row not permitted in table | 01C
|  |  | null value in array target | 00E
|  |  | null value, no indicator parameter | 002
|  |  | null value not allowed | 004
|  |  | numeric value out of range | 003
|  |  | sequence generator limit exceeded | 00H
|  |  | skip to non-existent row | 02K
|  |  | skip to first row of match | 02L
|  |  | string data, length mismatch | 026
|  |  | string data, right truncation | 001
|  |  | substring error | 011
|  |  | trim error | 027
|  |  | unterminated C string | 024
|  |  | zero-length character string | 00F
X | dependent privilege descriptors still exist | 2B | (no subclass) | 000
X | diagnostics exception | 0Z | (no subclass) | 000
|  |  | maximum number of stacked diagnostics areas exceeded | 001
X | dynamic SQL error | 07 | (no subclass) | 000
|  |  | cursor specification cannot be executed | 003
|  |  | data type transform function violation | 00B
|  |  | invalid DATA target | 00D
|  |  | invalid DATETIME_INTERVAL_CODE | 00F
|  |  | invalid descriptor count | 008
|  |  | invalid descriptor index | 009
|  |  | invalid LEVEL value | 00E
|  |  | prepared statement not a cursor specification | 005
|  |  | restricted data type attribute violation | 006
|  |  | undefined DATA value | 00C
|  |  | using clause does not match dynamic parameter specifications | 001
|  |  | using clause does not match target specifications | 002
|  |  | using clause required for dynamic parameters | 004
|  |  | using clause required for result fields | 007
X | external routine exception | 38 | (no subclass) | 000
|  |  | containing SQL not permitted | 001
|  |  | modifying SQL-data not permitted | 002
|  |  | prohibited SQL-statement attempted | 003
|  |  | reading SQL-data not permitted | 004
X | external routine invocation exception | 39 | (no subclass) | 000
|  |  | null value not allowed | 004
X | feature not supported | 0A | (no subclass) | 000
|  |  | multiple server transactions | 001
X | integrity constraint violation | 23 | (no subclass) | 000
|  |  | restrict violation | 001
X | invalid authorization specification | 28 | (no subclass) | 000
X | invalid catalog name | 3D | (no subclass) | 000
X | invalid character set name | 2C | (no subclass) | 000
|  |  | cannot drop SQL-session default character set | 001
X | invalid condition number | 35 | (no subclass) | 000
X | invalid connection name | 2E | (no subclass) | 000
X | invalid cursor name | 34 | (no subclass) | 000
X | invalid cursor state | 24 | (no subclass) | 000
X | invalid grantor | 0L | (no subclass) | 000
X | invalid role specification | 0P | (no subclass) | 000
X | invalid schema name | 3F | (no subclass) | 000
X | invalid schema name list specification | 0E | (no subclass) | 000
X | invalid collation name | 2H | (no subclass) | 000
X | invalid SQL descriptor name | 33 | (no subclass) | 000
X | invalid SQL-invoked procedure reference | 0M | (no subclass) | 000
X | invalid SQL statement name | 26 | (no subclass) | 000
X | invalid SQL statement identifier | 30 | (no subclass) | 000
X | invalid target type specification | 0D | (no subclass) | 000
X | invalid transaction state | 25 | (no subclass) | 000
|  |  | active SQL-transaction | 001
|  |  | branch transaction already active | 002
|  |  | held cursor requires same isolation level | 008
|  |  | inappropriate access mode for branch transaction | 003
|  |  | inappropriate isolation level for branch transaction | 004
|  |  | no active SQL-transaction for branch transaction | 005
|  |  | read-only SQL-transaction | 006
|  |  | schema and data statement mixing not supported | 007
X | invalid transaction termination | 2D | (no subclass) | 000
X | invalid transform group name specification | 0S | (no subclass) | 000
X | locator exception | 0F | (no subclass) | 000
|  |  | invalid specification | 001
N | no data | 02 | (no subclass) | 000
|  |  | no additional result sets returned | 001
X | prohibited statement encountered during trigger execution | 0W | (no subclass) | 000
|  |  | modify table modified by data change delta table | 001
X | Remote Database Access | HZ | (no subclass) | 000
X | savepoint exception | 3B | (no subclass) | 000
|  |  | invalid specification | 001
|  |  | too many | 002
X | SQL routine exception | 2F | (no subclass) | 000
|  |  | function executed no return statement | 005
|  |  | modifying SQL-data not permitted | 002
|  |  | prohibited SQL-statement attempted | 003
|  |  | reading SQL-data not permitted | 004
S | successful completion | 00 | (no subclass) | 000
X | syntax error or access rule violation | 42 | (no subclass) | 000
X | syntax error or access rule violation in direct statement | 2A | (no subclass) | 000
X | syntax error or access rule violation in dynamic statement | 37 | (no subclass) | 000
X | target table disagrees with cursor specification | 0T | (no subclass) | 000
X | transaction rollback | 40 | (no subclass) | 000
|  |  | integrity constraint violation | 002
|  |  | serialization failure | 001
|  |  | statement completion unknown | 003
|  |  | triggered action exception | 004
X | triggered action exception | 09 | (no subclass) | 000
X | triggered data change violation | 27 | (no subclass) | 000
|  |  | modify table modified by data change delta table | 001
W | warning | 01 | (no subclass) | 000
|  |  | additional result sets returned | 00D
|  |  | array data, right truncation | 02F
|  |  | attempt to return too many result sets | 00E
|  |  | cursor operation conflict | 001
|  |  | default value too long for information schema | 00B
|  |  | disconnect error | 002
|  |  | insufficient item descriptor areas | 005
|  |  | invalid number of conditions | 012
|  |  | null value eliminated in set function | 003
|  |  | privilege not granted | 007
|  |  | privilege not revoked | 006
|  |  | query expression too long for information schema | 00A
|  |  | result sets returned | 00C
|  |  | search condition too long for information schema | 009
|  |  | statement too long for information schema | 00F
|  |  | string data, right truncation | 004
X | with check option violation | 44 | (no subclass) | 000

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AMBIGUOUS_CURSOR_NAME_NO_SUBCLASS` 3C000: ambiguous cursor name
`ATTEMPT_TO_ASSIGN_TO_NON_UPDATABLE_COLUMN_NO_SUBCLASS` 0U000: attempt to assign to non-updatable column
`ATTEMPT_TO_ASSIGN_TO_ORDERING_COLUMN_NO_SUBCLASS` 0V000: attempt to assign to ordering column
`CARDINALITY_VIOLATION_NO_SUBCLASS` 21000: cardinality violation
`CLI_SPECIFIC_CONDITION_NO_SUBCLASS` HY000: cli specific condition
`CONNECTION_EXCEPTION_CONNECTION_DOES_NOT_EXIST` 08003: connection exception: connection does not exist
`CONNECTION_EXCEPTION_CONNECTION_FAILURE` 08006: connection exception: connection failure
`CONNECTION_EXCEPTION_CONNECTION_NAME_IN_USE` 08002: connection exception: connection name in use
`CONNECTION_EXCEPTION_NO_SUBCLASS` 08000: connection exception
`CONNECTION_EXCEPTION_SQLCLIENT_UNABLE_TO_ESTABLISH_SQLCONNECTION` 08001: connection exception: SQL-client unable to establish SQL-connection
`CONNECTION_EXCEPTION_SQLSERVER_REJECTED_ESTABLISHMENT_OF_SQLCONNECTION` 08004: connection exception: SQL-server rejected establishment of SQL-connection
`CONNECTION_EXCEPTION_TRANSACTION_RESOLUTION_UNKNOWN` 08007: connection exception: transaction resolution unknown
`CURSOR_SENSITIVITY_EXCEPTION_NO_SUBCLASS` 36000: cursor sensitivity exception
`CURSOR_SENSITIVITY_EXCEPTION_REQUEST_FAILED` 36002: cursor sensitivity exception: request failed
`CURSOR_SENSITIVITY_EXCEPTION_REQUEST_REJECTED` 36001: cursor sensitivity exception: request rejected
`DATA_EXCEPTION_ARRAY_DATA_RIGHT_TRUNCATION` 2202F: data exception: array data, right truncation
`DATA_EXCEPTION_ARRAY_ELEMENT_ERROR` 2202E: data exception: array element error
`DATA_EXCEPTION_ATTEMPT_TO_REPLACE_A_ZERO_LENGTH_STRING` 2201U: data exception: attempt to replace a zero-length string
`DATA_EXCEPTION_CHARACTER_NOT_IN_REPERTOIRE` 22021: data exception: character not in repertoire
`DATA_EXCEPTION_DATETIME_FIELD_OVERFLOW` 22008: data exception: datetime field overflow
`DATA_EXCEPTION_DIVISION_BY_ZERO` 22012: data exception: division by zero
`DATA_EXCEPTION_ERROR_IN_ASSIGNMENT` 22005: data exception: error in assignment
`DATA_EXCEPTION_ESCAPE_CHARACTER_CONFLICT` 2200B: data exception: escape character conflict
`DATA_EXCEPTION_INDICATOR_OVERFLOW` 22022: data exception: indicator overflow
`DATA_EXCEPTION_INTERVAL_FIELD_OVERFLOW` 22015: data exception: interval field overflow
`DATA_EXCEPTION_INTERVAL_VALUE_OUT_OF_RANGE` 2200P: data exception: interval value out of range
`DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NATURAL_LOGARITHM` 2201E: data exception: invalid argument for natural logarithm
`DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NTH_VALUE_FUNCTION` 22016: data exception: invalid argument for NTH_VALUE function
`DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NTILE_FUNCTION` 22014: data exception: invalid argument for NTILE function
`DATA_EXCEPTION_INVALID_ARGUMENT_FOR_POWER_FUNCTION` 2201F: data exception: invalid argument for power function
`DATA_EXCEPTION_INVALID_ARGUMENT_FOR_ROW_PATTERN_NAVIGATION_OPERATION` 2202J: data exception: invalid argument for row pattern navigation operation
`DATA_EXCEPTION_INVALID_ARGUMENT_FOR_WIDTH_BUCKET_FUNCTION` 2201G: data exception: invalid argument for width bucket function
`DATA_EXCEPTION_INVALID_CHARACTER_VALUE_FOR_CAST` 22018: data exception: invalid character value for cast
`DATA_EXCEPTION_INVALID_DATETIME_FORMAT` 22007: data exception: invalid datetime format
`DATA_EXCEPTION_INVALID_ESCAPE_CHARACTER` 22019: data exception: invalid escape character
`DATA_EXCEPTION_INVALID_ESCAPE_OCTET` 2200D: data exception: invalid escape octet
`DATA_EXCEPTION_INVALID_ESCAPE_SEQUENCE` 22025: data exception: invalid escape sequence
`DATA_EXCEPTION_INVALID_INDICATOR_PARAMETER_VALUE` 22010: data exception: invalid indicator parameter value
`DATA_EXCEPTION_INVALID_INTERVAL_FORMAT` 22006: data exception: invalid interval format
`DATA_EXCEPTION_INVALID_PARAMETER_VALUE` 22023: data exception: invalid parameter value
`DATA_EXCEPTION_INVALID_PERIOD_VALUE` 22020: data exception: invalid period value
`DATA_EXCEPTION_INVALID_PRECEDING_OR_FOLLOWING_SIZE_IN_WINDOW_FUNCTION` 22013: data exception: invalid preceding or following size in window function
`DATA_EXCEPTION_INVALID_REGULAR_EXPRESSION` 2201B: data exception: invalid regular expression
`DATA_EXCEPTION_INVALID_REPEAT_ARGUMENT_IN_A_SAMPLE_CLAUSE` 2202G: data exception: invalid repeat argument in a sample clause
`DATA_EXCEPTION_INVALID_ROW_COUNT_IN_FETCH_FIRST_CLAUSE` 2201W: data exception: invalid row count in fetch first clause
`DATA_EXCEPTION_INVALID_ROW_COUNT_IN_RESULT_OFFSET_CLAUSE` 2201X: data exception: invalid row count in result offset clause
`DATA_EXCEPTION_INVALID_ROW_VERSION` 2201H: data exception: invalid row version
`DATA_EXCEPTION_INVALID_SAMPLE_SIZE` 2202H: data exception: invalid sample size
`DATA_EXCEPTION_INVALID_TIME_ZONE_DISPLACEMENT_VALUE` 22009: data exception: invalid time zone displacement value
`DATA_EXCEPTION_INVALID_USE_OF_ESCAPE_CHARACTER` 2200C: data exception: invalid use of escape character
`DATA_EXCEPTION_INVALID_XQUERY_OPTION_FLAG` 2201T: data exception: invalid XQuery option flag
`DATA_EXCEPTION_INVALID_XQUERY_REGULAR_EXPRESSION` 2201S: data exception: invalid XQuery regular expression
`DATA_EXCEPTION_INVALID_XQUERY_REPLACEMENT_STRING` 2201V: data exception: invalid XQuery replacement string
`DATA_EXCEPTION_MOST_SPECIFIC_TYPE_MISMATCH` 2200G: data exception: most specific type mismatch
`DATA_EXCEPTION_MULTISET_VALUE_OVERFLOW` 2200Q: data exception: multiset value overflow
`DATA_EXCEPTION_NO_SUBCLASS` 22000: data exception
`DATA_EXCEPTION_NONCHARACTER_IN_UCS_STRING` 22029: data exception: noncharacter in UCS string
`DATA_EXCEPTION_NULL_ROW_NOT_PERMITTED_IN_TABLE` 2201C: data exception: null row not permitted in table
`DATA_EXCEPTION_NULL_VALUE_IN_ARRAY_TARGET` 2200E: data exception: null value in array target
`DATA_EXCEPTION_NULL_VALUE_NO_INDICATOR_PARAMETER` 22002: data exception: null value, no indicator parameter
`DATA_EXCEPTION_NULL_VALUE_NOT_ALLOWED` 22004: data exception: null value not allowed
`DATA_EXCEPTION_NULL_VALUE_SUBSTITUTED_FOR_MUTATOR_SUBJECT_PARAMETER` 2202D: data exception: null value substituted for mutator subject parameter
`DATA_EXCEPTION_NUMERIC_VALUE_OUT_OF_RANGE` 22003: data exception: numeric value out of range
`DATA_EXCEPTION_SEQUENCE_GENERATOR_LIMIT_EXCEEDED` 2200H: data exception: sequence generator limit exceeded
`DATA_EXCEPTION_SKIP_TO_FIRST_ROW_OF_MATCH` 2202L: data exception: skip to first row of match
`DATA_EXCEPTION_SKIP_TO_NON_EXISTENT_ROW` 2202K: data exception: skip to non-existent row
`DATA_EXCEPTION_STRING_DATA_LENGTH_MISMATCH` 22026: data exception: string data, length mismatch
`DATA_EXCEPTION_STRING_DATA_RIGHT_TRUNCATION` 22001: data exception: string data, right truncation
`DATA_EXCEPTION_SUBSTRING_ERROR` 22011: data exception: substring error
`DATA_EXCEPTION_TRIM_ERROR` 22027: data exception: trim error
`DATA_EXCEPTION_UNTERMINATED_C_STRING` 22024: data exception: unterminated C string
`DATA_EXCEPTION_ZERO_LENGTH_CHARACTER_STRING` 2200F: data exception: zero-length character string
`DEPENDENT_PRIVILEGE_DESCRIPTORS_STILL_EXIST_NO_SUBCLASS` 2B000: dependent privilege descriptors still exist
`DIAGNOSTICS_EXCEPTION_MAXIMUM_NUMBER_OF_DIAGNOSTICS_AREAS_EXCEEDED` 0Z001: diagnostics exception: maximum number of stacked diagnostics areas exceeded
`DIAGNOSTICS_EXCEPTION_NO_SUBCLASS` 0Z000: diagnostics exception
`DYNAMIC_SQL_ERROR_CURSOR_SPECIFICATION_CANNOT_BE_EXECUTED` 07003: dynamic SQL error: cursor specification cannot be executed
`DYNAMIC_SQL_ERROR_DATA_TYPE_TRANSFORM_FUNCTION_VIOLATION` 0700B: dynamic SQL error: data type transform function violation
`DYNAMIC_SQL_ERROR_INVALID_DATA_TARGET` 0700D: dynamic SQL error: invalid DATA target
`DYNAMIC_SQL_ERROR_INVALID_DATETIME_INTERVAL_CODE` 0700F: dynamic SQL error: invalid DATETIME_INTERVAL_CODE
`DYNAMIC_SQL_ERROR_INVALID_DESCRIPTOR_COUNT` 07008: dynamic SQL error: invalid descriptor count
`DYNAMIC_SQL_ERROR_INVALID_DESCRIPTOR_INDEX` 07009: dynamic SQL error: invalid descriptor index
`DYNAMIC_SQL_ERROR_INVALID_LEVEL_VALUE` 0700E: dynamic SQL error: invalid LEVEL value
`DYNAMIC_SQL_ERROR_NO_SUBCLASS` 07000: dynamic SQL error
`DYNAMIC_SQL_ERROR_PREPARED_STATEMENT_NOT_A_CURSOR_SPECIFICATION` 07005: dynamic SQL error: prepared statement not a cursor specification
`DYNAMIC_SQL_ERROR_RESTRICTED_DATA_TYPE_ATTRIBUTE_VIOLATION` 07006: dynamic SQL error: restricted data type attribute violation
`DYNAMIC_SQL_ERROR_UNDEFINED_DATA_VALUE` 0700C: dynamic SQL error: undefined DATA value
`DYNAMIC_SQL_ERROR_USING_CLAUSE_DOES_NOT_MATCH_DYNAMIC_PARAMETER_SPEC` 07001: dynamic SQL error: using clause does not match dynamic parameter specifications
`DYNAMIC_SQL_ERROR_USING_CLAUSE_DOES_NOT_MATCH_TARGET_SPEC` 07002: dynamic SQL error: using clause does not match target specifications
`DYNAMIC_SQL_ERROR_USING_CLAUSE_REQUIRED_FOR_DYNAMIC_PARAMETERS` 07004: dynamic SQL error: using clause required for dynamic parameters
`DYNAMIC_SQL_ERROR_USING_CLAUSE_REQUIRED_FOR_RESULT_FIELDS` 07007: dynamic SQL error: using clause required for result fields
`EXTERNAL_ROUTINE_EXCEPTION_CONTAINING_SQL_NOT_PERMITTED` 38001: external routine exception: containing SQL not permitted
`EXTERNAL_ROUTINE_EXCEPTION_MODIFYING_SQL_DATA_NOT_PERMITTED` 38002: external routine exception: modifying SQL-data not permitted
`EXTERNAL_ROUTINE_EXCEPTION_NO_SUBCLASS` 38000: external routine exception
`EXTERNAL_ROUTINE_EXCEPTION_PROHIBITED_SQL_STATEMENT_ATTEMPTED` 38003: external routine exception: prohibited SQL-statement attempted
`EXTERNAL_ROUTINE_EXCEPTION_READING_SQL_DATA_NOT_PERMITTED` 38004: external routine exception: reading SQL-data not permitted
`EXTERNAL_ROUTINE_INVOCATION_EXCEPTION_NO_SUBCLASS` 39000: external routine invocation exception
`EXTERNAL_ROUTINE_INVOCATION_EXCEPTION_NULL_VALUE_NOT_ALLOWED` 39004: external routine invocation exception: null value not allowed
`FEATURE_NOT_SUPPORTED_MULTIPLE_ENVIRONMENT_TRANSACTIONS` 0A001: feature not supported: multiple server transactions
`FEATURE_NOT_SUPPORTED_NO_SUBCLASS` 0A000: feature not supported
`INTEGRITY_CONSTRAINT_VIOLATION_NO_SUBCLASS` 23000: integrity constraint violation
`INTEGRITY_CONSTRAINT_VIOLATION_RESTRICT_VIOLATION` 23001: integrity constraint violation: restrict violation
`INVALID_AUTHORIZATION_SPECIFICATION_NO_SUBCLASS` 28000: invalid authorization specification
`INVALID_CATALOG_NAME_NO_SUBCLASS` 3D000: invalid catalog name
`INVALID_CHARACTER_SET_NAME_CANNOT_DROP_SQLSESSION_DEFAULT_CHARACTER_SET` 2C001: invalid character set name: cannot drop SQL-session default character set
`INVALID_CHARACTER_SET_NAME_NO_SUBCLASS` 2C000: invalid character set name
`INVALID_COLLATION_NAME_NO_SUBCLASS` 2H000: invalid collation name
`INVALID_CONDITION_NUMBER_NO_SUBCLASS` 35000: invalid condition number
`INVALID_CONNECTION_NAME_NO_SUBCLASS` 2E000: invalid connection name
`INVALID_CURSOR_NAME_NO_SUBCLASS` 34000: invalid cursor name
`INVALID_CURSOR_STATE_NO_SUBCLASS` 24000: invalid cursor state
`INVALID_GRANTOR_STATE_NO_SUBCLASS` 0L000: invalid grantor
`INVALID_ROLE_SPECIFICATION` 0P000: invalid role specification
`INVALID_SCHEMA_NAME_LIST_SPECIFICATION_NO_SUBCLASS` 0E000: invalid schema name list specification
`INVALID_SCHEMA_NAME_NO_SUBCLASS` 3F000: invalid schema name
`INVALID_SQL_DESCRIPTOR_NAME_NO_SUBCLASS` 33000: invalid SQL descriptor name
`INVALID_SQL_INVOKED_PROCEDURE_REFERENCE_NO_SUBCLASS` 0M000: invalid SQL-invoked procedure reference
`INVALID_SQL_STATEMENT_IDENTIFIER_NO_SUBCLASS` 30000: invalid SQL statement identifier
`INVALID_SQL_STATEMENT_NAME_NO_SUBCLASS` 26000: invalid SQL statement name
`INVALID_TARGET_TYPE_SPECIFICATION_NO_SUBCLASS` 0D000: invalid target type specification
`INVALID_TRANSACTION_STATE_ACTIVE_SQL_TRANSACTION` 25001: invalid transaction state: active SQL-transaction
`INVALID_TRANSACTION_STATE_BRANCH_TRANSACTION_ALREADY_ACTIVE` 25002: invalid transaction state: branch transaction already active
`INVALID_TRANSACTION_STATE_HELD_CURSOR_REQUIRES_SAME_ISOLATION_LEVEL` 25008: invalid transaction state: held cursor requires same isolation level
`INVALID_TRANSACTION_STATE_INAPPROPRIATE_ACCESS_MODE_FOR_BRANCH_TRANSACTION` 25003: invalid transaction state: inappropriate access mode for branch transaction
`INVALID_TRANSACTION_STATE_INAPPROPRIATE_ISOLATION_LEVEL_FOR_BRANCH_TRANSACTION` 25004: invalid transaction state: inappropriate isolation level for branch transaction
`INVALID_TRANSACTION_STATE_NO_ACTIVE_SQL_TRANSACTION_FOR_BRANCH_TRANSACTION` 25005: invalid transaction state: no active SQL-transaction for branch transaction
`INVALID_TRANSACTION_STATE_NO_SUBCLASS` 25000: invalid transaction state
`INVALID_TRANSACTION_STATE_READ_ONLY_SQL_TRANSACTION` 25006: invalid transaction state: read-only SQL-transaction
`INVALID_TRANSACTION_STATE_SCHEMA_AND_DATA_STATEMENT_MIXING_NOT_SUPPORTED` 25007: invalid transaction state: schema and data statement mixing not supported
`INVALID_TRANSACTION_TERMINATION_NO_SUBCLASS` 2D000: invalid transaction termination
`INVALID_TRANSFORM_GROUP_NAME_SPECIFICATION_NO_SUBCLASS` 0S000: invalid transform group name specification
`LOCATOR_EXCEPTION_INVALID_SPECIFICATION` 0F001: locator exception: invalid specification
`LOCATOR_EXCEPTION_NO_SUBCLASS` 0F000: locator exception
`NO_DATA_NO_ADDITIONAL_RESULT_SETS_RETURNED` 02001: no data: no additional result sets returned
`NO_DATA_NO_SUBCLASS` 02000: no data
`PROHIBITED_STATEMENT_DURING_TRIGGER_EXECUTION_MODIFY_TABLE_MODIFIED_BY_DATA_CHANGE_DELTA_TABLE` 0W001: prohibited statement encountered during trigger execution: modify table modified by data change delta table
`PROHIBITED_STATEMENT_DURING_TRIGGER_EXECUTION_NO_SUBCLASS` 0W000: prohibited statement encountered during trigger execution
`REMOTE_DATABASE_ACCESS_NO_SUBCLASS` HZ: Remote Database Access
`SAVEPOINT_EXCEPTION_INVALID_SPECIFICATION` 3B001: savepoint exception: invalid specification
`SAVEPOINT_EXCEPTION_NO_SUBCLASS` 3B000: savepoint exception
`SAVEPOINT_EXCEPTION_TOO_MANY` 3B002: savepoint exception: too many
`SQL_ROUTINE_EXCEPTION_FUNCTION_EXECUTED_NO_RETURN_STATEMENT` 2F005: SQL routine exception: function executed no return statement
`SQL_ROUTINE_EXCEPTION_MODIFYING_SQL_DATA_NOT_PERMITTED` 2F002: SQL routine exception: modifying SQL-data not permitted
`SQL_ROUTINE_EXCEPTION_NO_SUBCLASS` 2F000: SQL routine exception
`SQL_ROUTINE_EXCEPTION_PROHIBITED_SQL_STATEMENT_ATTEMPTED` 2F003: SQL routine exception: prohibited SQL-statement attempted
`SQL_ROUTINE_EXCEPTION_READING_SQL_DATA_NOT_PERMITTED` 2F004: SQL routine exception: reading SQL-data not permitted
`SUCCESSFUL_COMPLETION_NO_SUBCLASS` 00000: successful completion
`SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_IN_DIRECT_STATEMENT_NO_SUBCLASS` 2A000: syntax error or access rule violation
`SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_IN_DYNAMIC_STATEMENT_NO_SUBCLASS` 37000: syntax error or access rule violation
`SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_NO_SUBCLASS` 42000: syntax error or access rule violation
`TARGET_TABLE_DISAGREES_WITH_CURSOR_SPECIFICATION_NO_SUBCLASS` 0T000: target table disagrees with cursor specification
`TRANSACTION_ROLLBACK_INTEGRITY_CONSTRAINT_VIOLATION` 40002: transaction rollback: integrity constraint violation
`TRANSACTION_ROLLBACK_NO_SUBCLASS` 40000: transaction rollback
`TRANSACTION_ROLLBACK_SERIALIZATION_FAILURE` 40001: transaction rollback: serialization failure
`TRANSACTION_ROLLBACK_STATEMENT_COMPLETION_UNKNOWN` 40003: transaction rollback: statement completion unknown
`TRANSACTION_ROLLBACK_TRIGGERED_ACTION_EXCEPTION` 40004: transaction rollback: triggered action exception
`TRIGGERED_ACTION_EXCEPTION_NO_SUBCLASS` 09000: triggered action exception
`TRIGGERED_DATA_CHANGE_VIOLATION_MODIFY_TABLE_MODIFIED_BY_DATA_CHANGE_DELTA_TABLE` 27001: triggered data change violation: modify table modified by data change delta table
`TRIGGERED_DATA_CHANGE_VIOLATION_NO_SUBCLASS` 27000: triggered data change violation
`WARNING_ADDITIONAL_RESULT_SETS_RETURNED` 0100D: warning: additional result sets returned
`WARNING_ARRAY_DATA_RIGHT_TRUNCATION` 0102F: warning: array data, right truncation
`WARNING_ATTEMPT_TO_RETURN_TOO_MANY_RESULT_SETS` 0100E: warning: attempt to return too many result sets
`WARNING_CURSOR_OPERATION_CONFLICT` 01001: warning: cursor operation conflict
`WARNING_DEFAULT_VALUE_TOO_LONG_FOR_INFORMATION_SCHEMA` 0100B: warning: default value too long for information schema
`WARNING_DISCONNECT_ERROR` 01002: warning: disconnect error
`WARNING_DYNAMIC_RESULT_SETS_RETURNED` 0100C: warning: result sets returned
`WARNING_INSUFFICIENT_ITEM_DESCRIPTOR_AREAS` 01005: warning: insufficient item descriptor areas
`WARNING_INVALID_NUMBER_OF_CONDITIONS` 01012: warning: invalid number of conditions
`WARNING_NO_SUBCLASS` 01000: warning
`WARNING_NULL_VALUE_ELIMINATED_IN_SET_FUNCTION` 01003: warning: null value eliminated in set function
`WARNING_PRIVILEGE_NOT_GRANTED` 01007: warning: privilege not granted
`WARNING_PRIVILEGE_NOT_REVOKED` 01006: warning: privilege not revoked
`WARNING_QUERY_EXPRESSION_TOO_LONG_FOR_INFORMATION_SCHEMA` 0100A: warning: query expression too long for information schema
`WARNING_SEARCH_CONDITION_TOO_LONG_FOR_INFORMATION_SCHEMA` 01009: warning: search condition too long for information schema
`WARNING_STATEMENT_TOO_LONG_FOR_INFORMATION_SCHEMA` 0100F: warning: statement too long for information schema
`WARNING_STRING_DATA_RIGHT_TRUNCATION_WARNING` 01004: warning: string data, right truncation
`WITH_CHECK_OPTION_VIOLATION_NO_SUBCLASS` 44000: with check option violation

### Field Summary

Fields
`static Map<String,SqlState>` `BY_CODE`
`org.apache.calcite.avatica.SqlState.Category` `category`
`String` `code`
`String` `condition`
`static SqlState` `INVALID_SQL_STATEMENT` Alias for backwards compatibility with previous versions of SQL spec.
`String` `klass`
`String` `subClass`
`String` `subCondition`

### Method Summary

All Methods Static Methods Concrete Methods
`static SqlState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AMBIGUOUS_CURSOR_NAME_NO_SUBCLASS

    public static final SqlState AMBIGUOUS_CURSOR_NAME_NO_SUBCLASS

3C000: ambiguous cursor name

#### ATTEMPT_TO_ASSIGN_TO_NON_UPDATABLE_COLUMN_NO_SUBCLASS

    public static final SqlState ATTEMPT_TO_ASSIGN_TO_NON_UPDATABLE_COLUMN_NO_SUBCLASS

0U000: attempt to assign to non-updatable column

#### ATTEMPT_TO_ASSIGN_TO_ORDERING_COLUMN_NO_SUBCLASS

    public static final SqlState ATTEMPT_TO_ASSIGN_TO_ORDERING_COLUMN_NO_SUBCLASS

0V000: attempt to assign to ordering column

#### CLI_SPECIFIC_CONDITION_NO_SUBCLASS

    public static final SqlState CLI_SPECIFIC_CONDITION_NO_SUBCLASS

HY000: cli specific condition

#### CARDINALITY_VIOLATION_NO_SUBCLASS

    public static final SqlState CARDINALITY_VIOLATION_NO_SUBCLASS

21000: cardinality violation

#### CONNECTION_EXCEPTION_NO_SUBCLASS

    public static final SqlState CONNECTION_EXCEPTION_NO_SUBCLASS

08000: connection exception

#### CONNECTION_EXCEPTION_CONNECTION_DOES_NOT_EXIST

    public static final SqlState CONNECTION_EXCEPTION_CONNECTION_DOES_NOT_EXIST

08003: connection exception: connection does not exist

#### CONNECTION_EXCEPTION_CONNECTION_FAILURE

    public static final SqlState CONNECTION_EXCEPTION_CONNECTION_FAILURE

08006: connection exception: connection failure

#### CONNECTION_EXCEPTION_CONNECTION_NAME_IN_USE

    public static final SqlState CONNECTION_EXCEPTION_CONNECTION_NAME_IN_USE

08002: connection exception: connection name in use

#### CONNECTION_EXCEPTION_SQLCLIENT_UNABLE_TO_ESTABLISH_SQLCONNECTION

    public static final SqlState CONNECTION_EXCEPTION_SQLCLIENT_UNABLE_TO_ESTABLISH_SQLCONNECTION

08001: connection exception: SQL-client unable to establish SQL-connection

#### CONNECTION_EXCEPTION_SQLSERVER_REJECTED_ESTABLISHMENT_OF_SQLCONNECTION

    public static final SqlState CONNECTION_EXCEPTION_SQLSERVER_REJECTED_ESTABLISHMENT_OF_SQLCONNECTION

08004: connection exception: SQL-server rejected establishment of SQL-connection

#### CONNECTION_EXCEPTION_TRANSACTION_RESOLUTION_UNKNOWN

    public static final SqlState CONNECTION_EXCEPTION_TRANSACTION_RESOLUTION_UNKNOWN

08007: connection exception: transaction resolution unknown

#### CURSOR_SENSITIVITY_EXCEPTION_NO_SUBCLASS

    public static final SqlState CURSOR_SENSITIVITY_EXCEPTION_NO_SUBCLASS

36000: cursor sensitivity exception

#### CURSOR_SENSITIVITY_EXCEPTION_REQUEST_FAILED

    public static final SqlState CURSOR_SENSITIVITY_EXCEPTION_REQUEST_FAILED

36002: cursor sensitivity exception: request failed

#### CURSOR_SENSITIVITY_EXCEPTION_REQUEST_REJECTED

    public static final SqlState CURSOR_SENSITIVITY_EXCEPTION_REQUEST_REJECTED

36001: cursor sensitivity exception: request rejected

#### DATA_EXCEPTION_NO_SUBCLASS

    public static final SqlState DATA_EXCEPTION_NO_SUBCLASS

22000: data exception

#### DATA_EXCEPTION_ARRAY_DATA_RIGHT_TRUNCATION

    public static final SqlState DATA_EXCEPTION_ARRAY_DATA_RIGHT_TRUNCATION

2202F: data exception: array data, right truncation

#### DATA_EXCEPTION_ARRAY_ELEMENT_ERROR

    public static final SqlState DATA_EXCEPTION_ARRAY_ELEMENT_ERROR

2202E: data exception: array element error

#### DATA_EXCEPTION_ATTEMPT_TO_REPLACE_A_ZERO_LENGTH_STRING

    public static final SqlState DATA_EXCEPTION_ATTEMPT_TO_REPLACE_A_ZERO_LENGTH_STRING

2201U: data exception: attempt to replace a zero-length string

#### DATA_EXCEPTION_CHARACTER_NOT_IN_REPERTOIRE

    public static final SqlState DATA_EXCEPTION_CHARACTER_NOT_IN_REPERTOIRE

22021: data exception: character not in repertoire

#### DATA_EXCEPTION_DATETIME_FIELD_OVERFLOW

    public static final SqlState DATA_EXCEPTION_DATETIME_FIELD_OVERFLOW

22008: data exception: datetime field overflow

#### DATA_EXCEPTION_DIVISION_BY_ZERO

    public static final SqlState DATA_EXCEPTION_DIVISION_BY_ZERO

22012: data exception: division by zero

#### DATA_EXCEPTION_ERROR_IN_ASSIGNMENT

    public static final SqlState DATA_EXCEPTION_ERROR_IN_ASSIGNMENT

22005: data exception: error in assignment

#### DATA_EXCEPTION_ESCAPE_CHARACTER_CONFLICT

    public static final SqlState DATA_EXCEPTION_ESCAPE_CHARACTER_CONFLICT

2200B: data exception: escape character conflict

#### DATA_EXCEPTION_INDICATOR_OVERFLOW

    public static final SqlState DATA_EXCEPTION_INDICATOR_OVERFLOW

22022: data exception: indicator overflow

#### DATA_EXCEPTION_INTERVAL_FIELD_OVERFLOW

    public static final SqlState DATA_EXCEPTION_INTERVAL_FIELD_OVERFLOW

22015: data exception: interval field overflow

#### DATA_EXCEPTION_INTERVAL_VALUE_OUT_OF_RANGE

    public static final SqlState DATA_EXCEPTION_INTERVAL_VALUE_OUT_OF_RANGE

2200P: data exception: interval value out of range

#### DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NATURAL_LOGARITHM

    public static final SqlState DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NATURAL_LOGARITHM

2201E: data exception: invalid argument for natural logarithm

#### DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NTILE_FUNCTION

    public static final SqlState DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NTILE_FUNCTION

22014: data exception: invalid argument for NTILE function

#### DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NTH_VALUE_FUNCTION

    public static final SqlState DATA_EXCEPTION_INVALID_ARGUMENT_FOR_NTH_VALUE_FUNCTION

22016: data exception: invalid argument for NTH_VALUE function

#### DATA_EXCEPTION_INVALID_ARGUMENT_FOR_POWER_FUNCTION

    public static final SqlState DATA_EXCEPTION_INVALID_ARGUMENT_FOR_POWER_FUNCTION

2201F: data exception: invalid argument for power function

#### DATA_EXCEPTION_INVALID_ARGUMENT_FOR_ROW_PATTERN_NAVIGATION_OPERATION

    public static final SqlState DATA_EXCEPTION_INVALID_ARGUMENT_FOR_ROW_PATTERN_NAVIGATION_OPERATION

2202J: data exception: invalid argument for row pattern navigation operation

#### DATA_EXCEPTION_INVALID_ARGUMENT_FOR_WIDTH_BUCKET_FUNCTION

    public static final SqlState DATA_EXCEPTION_INVALID_ARGUMENT_FOR_WIDTH_BUCKET_FUNCTION

2201G: data exception: invalid argument for width bucket function

#### DATA_EXCEPTION_INVALID_CHARACTER_VALUE_FOR_CAST

    public static final SqlState DATA_EXCEPTION_INVALID_CHARACTER_VALUE_FOR_CAST

22018: data exception: invalid character value for cast

#### DATA_EXCEPTION_INVALID_DATETIME_FORMAT

    public static final SqlState DATA_EXCEPTION_INVALID_DATETIME_FORMAT

22007: data exception: invalid datetime format

#### DATA_EXCEPTION_INVALID_ESCAPE_CHARACTER

    public static final SqlState DATA_EXCEPTION_INVALID_ESCAPE_CHARACTER

22019: data exception: invalid escape character

#### DATA_EXCEPTION_INVALID_ESCAPE_OCTET

    public static final SqlState DATA_EXCEPTION_INVALID_ESCAPE_OCTET

2200D: data exception: invalid escape octet

#### DATA_EXCEPTION_INVALID_ESCAPE_SEQUENCE

    public static final SqlState DATA_EXCEPTION_INVALID_ESCAPE_SEQUENCE

22025: data exception: invalid escape sequence

#### DATA_EXCEPTION_INVALID_INDICATOR_PARAMETER_VALUE

    public static final SqlState DATA_EXCEPTION_INVALID_INDICATOR_PARAMETER_VALUE

22010: data exception: invalid indicator parameter value

#### DATA_EXCEPTION_INVALID_INTERVAL_FORMAT

    public static final SqlState DATA_EXCEPTION_INVALID_INTERVAL_FORMAT

22006: data exception: invalid interval format

#### DATA_EXCEPTION_INVALID_PARAMETER_VALUE

    public static final SqlState DATA_EXCEPTION_INVALID_PARAMETER_VALUE

22023: data exception: invalid parameter value

#### DATA_EXCEPTION_INVALID_PERIOD_VALUE

    public static final SqlState DATA_EXCEPTION_INVALID_PERIOD_VALUE

22020: data exception: invalid period value

#### DATA_EXCEPTION_INVALID_PRECEDING_OR_FOLLOWING_SIZE_IN_WINDOW_FUNCTION

    public static final SqlState DATA_EXCEPTION_INVALID_PRECEDING_OR_FOLLOWING_SIZE_IN_WINDOW_FUNCTION

22013: data exception: invalid preceding or following size in window function

#### DATA_EXCEPTION_INVALID_REGULAR_EXPRESSION

    public static final SqlState DATA_EXCEPTION_INVALID_REGULAR_EXPRESSION

2201B: data exception: invalid regular expression

#### DATA_EXCEPTION_INVALID_REPEAT_ARGUMENT_IN_A_SAMPLE_CLAUSE

    public static final SqlState DATA_EXCEPTION_INVALID_REPEAT_ARGUMENT_IN_A_SAMPLE_CLAUSE

2202G: data exception: invalid repeat argument in a sample clause

#### DATA_EXCEPTION_INVALID_ROW_COUNT_IN_FETCH_FIRST_CLAUSE

    public static final SqlState DATA_EXCEPTION_INVALID_ROW_COUNT_IN_FETCH_FIRST_CLAUSE

2201W: data exception: invalid row count in fetch first clause

#### DATA_EXCEPTION_INVALID_ROW_COUNT_IN_RESULT_OFFSET_CLAUSE

    public static final SqlState DATA_EXCEPTION_INVALID_ROW_COUNT_IN_RESULT_OFFSET_CLAUSE

2201X: data exception: invalid row count in result offset clause

#### DATA_EXCEPTION_INVALID_ROW_VERSION

    public static final SqlState DATA_EXCEPTION_INVALID_ROW_VERSION

2201H: data exception: invalid row version

#### DATA_EXCEPTION_INVALID_SAMPLE_SIZE

    public static final SqlState DATA_EXCEPTION_INVALID_SAMPLE_SIZE

2202H: data exception: invalid sample size

#### DATA_EXCEPTION_INVALID_TIME_ZONE_DISPLACEMENT_VALUE

    public static final SqlState DATA_EXCEPTION_INVALID_TIME_ZONE_DISPLACEMENT_VALUE

22009: data exception: invalid time zone displacement value

#### DATA_EXCEPTION_INVALID_USE_OF_ESCAPE_CHARACTER

    public static final SqlState DATA_EXCEPTION_INVALID_USE_OF_ESCAPE_CHARACTER

2200C: data exception: invalid use of escape character

#### DATA_EXCEPTION_INVALID_XQUERY_OPTION_FLAG

    public static final SqlState DATA_EXCEPTION_INVALID_XQUERY_OPTION_FLAG

2201T: data exception: invalid XQuery option flag

#### DATA_EXCEPTION_INVALID_XQUERY_REGULAR_EXPRESSION

    public static final SqlState DATA_EXCEPTION_INVALID_XQUERY_REGULAR_EXPRESSION

2201S: data exception: invalid XQuery regular expression

#### DATA_EXCEPTION_INVALID_XQUERY_REPLACEMENT_STRING

    public static final SqlState DATA_EXCEPTION_INVALID_XQUERY_REPLACEMENT_STRING

2201V: data exception: invalid XQuery replacement string

#### DATA_EXCEPTION_MOST_SPECIFIC_TYPE_MISMATCH

    public static final SqlState DATA_EXCEPTION_MOST_SPECIFIC_TYPE_MISMATCH

2200G: data exception: most specific type mismatch

#### DATA_EXCEPTION_MULTISET_VALUE_OVERFLOW

    public static final SqlState DATA_EXCEPTION_MULTISET_VALUE_OVERFLOW

2200Q: data exception: multiset value overflow

#### DATA_EXCEPTION_NONCHARACTER_IN_UCS_STRING

    public static final SqlState DATA_EXCEPTION_NONCHARACTER_IN_UCS_STRING

22029: data exception: noncharacter in UCS string

#### DATA_EXCEPTION_NULL_VALUE_SUBSTITUTED_FOR_MUTATOR_SUBJECT_PARAMETER

    public static final SqlState DATA_EXCEPTION_NULL_VALUE_SUBSTITUTED_FOR_MUTATOR_SUBJECT_PARAMETER

2202D: data exception: null value substituted for mutator subject parameter

#### DATA_EXCEPTION_NULL_ROW_NOT_PERMITTED_IN_TABLE

    public static final SqlState DATA_EXCEPTION_NULL_ROW_NOT_PERMITTED_IN_TABLE

2201C: data exception: null row not permitted in table

#### DATA_EXCEPTION_NULL_VALUE_IN_ARRAY_TARGET

    public static final SqlState DATA_EXCEPTION_NULL_VALUE_IN_ARRAY_TARGET

2200E: data exception: null value in array target

#### DATA_EXCEPTION_NULL_VALUE_NO_INDICATOR_PARAMETER

    public static final SqlState DATA_EXCEPTION_NULL_VALUE_NO_INDICATOR_PARAMETER

22002: data exception: null value, no indicator parameter

#### DATA_EXCEPTION_NULL_VALUE_NOT_ALLOWED

    public static final SqlState DATA_EXCEPTION_NULL_VALUE_NOT_ALLOWED

22004: data exception: null value not allowed

#### DATA_EXCEPTION_NUMERIC_VALUE_OUT_OF_RANGE

    public static final SqlState DATA_EXCEPTION_NUMERIC_VALUE_OUT_OF_RANGE

22003: data exception: numeric value out of range

#### DATA_EXCEPTION_SEQUENCE_GENERATOR_LIMIT_EXCEEDED

    public static final SqlState DATA_EXCEPTION_SEQUENCE_GENERATOR_LIMIT_EXCEEDED

2200H: data exception: sequence generator limit exceeded

#### DATA_EXCEPTION_SKIP_TO_NON_EXISTENT_ROW

    public static final SqlState DATA_EXCEPTION_SKIP_TO_NON_EXISTENT_ROW

2202K: data exception: skip to non-existent row

#### DATA_EXCEPTION_SKIP_TO_FIRST_ROW_OF_MATCH

    public static final SqlState DATA_EXCEPTION_SKIP_TO_FIRST_ROW_OF_MATCH

2202L: data exception: skip to first row of match

#### DATA_EXCEPTION_STRING_DATA_LENGTH_MISMATCH

    public static final SqlState DATA_EXCEPTION_STRING_DATA_LENGTH_MISMATCH

22026: data exception: string data, length mismatch

#### DATA_EXCEPTION_STRING_DATA_RIGHT_TRUNCATION

    public static final SqlState DATA_EXCEPTION_STRING_DATA_RIGHT_TRUNCATION

22001: data exception: string data, right truncation

#### DATA_EXCEPTION_SUBSTRING_ERROR

    public static final SqlState DATA_EXCEPTION_SUBSTRING_ERROR

22011: data exception: substring error

#### DATA_EXCEPTION_TRIM_ERROR

    public static final SqlState DATA_EXCEPTION_TRIM_ERROR

22027: data exception: trim error

#### DATA_EXCEPTION_UNTERMINATED_C_STRING

    public static final SqlState DATA_EXCEPTION_UNTERMINATED_C_STRING

22024: data exception: unterminated C string

#### DATA_EXCEPTION_ZERO_LENGTH_CHARACTER_STRING

    public static final SqlState DATA_EXCEPTION_ZERO_LENGTH_CHARACTER_STRING

2200F: data exception: zero-length character string

#### DEPENDENT_PRIVILEGE_DESCRIPTORS_STILL_EXIST_NO_SUBCLASS

    public static final SqlState DEPENDENT_PRIVILEGE_DESCRIPTORS_STILL_EXIST_NO_SUBCLASS

2B000: dependent privilege descriptors still exist

#### DIAGNOSTICS_EXCEPTION_NO_SUBCLASS

    public static final SqlState DIAGNOSTICS_EXCEPTION_NO_SUBCLASS

0Z000: diagnostics exception

#### DIAGNOSTICS_EXCEPTION_MAXIMUM_NUMBER_OF_DIAGNOSTICS_AREAS_EXCEEDED

    public static final SqlState DIAGNOSTICS_EXCEPTION_MAXIMUM_NUMBER_OF_DIAGNOSTICS_AREAS_EXCEEDED

0Z001: diagnostics exception: maximum number of stacked diagnostics areas exceeded

#### DYNAMIC_SQL_ERROR_NO_SUBCLASS

    public static final SqlState DYNAMIC_SQL_ERROR_NO_SUBCLASS

07000: dynamic SQL error

#### DYNAMIC_SQL_ERROR_CURSOR_SPECIFICATION_CANNOT_BE_EXECUTED

    public static final SqlState DYNAMIC_SQL_ERROR_CURSOR_SPECIFICATION_CANNOT_BE_EXECUTED

07003: dynamic SQL error: cursor specification cannot be executed

#### DYNAMIC_SQL_ERROR_DATA_TYPE_TRANSFORM_FUNCTION_VIOLATION

    public static final SqlState DYNAMIC_SQL_ERROR_DATA_TYPE_TRANSFORM_FUNCTION_VIOLATION

0700B: dynamic SQL error: data type transform function violation

#### DYNAMIC_SQL_ERROR_INVALID_DATA_TARGET

    public static final SqlState DYNAMIC_SQL_ERROR_INVALID_DATA_TARGET

0700D: dynamic SQL error: invalid DATA target

#### DYNAMIC_SQL_ERROR_INVALID_DATETIME_INTERVAL_CODE

    public static final SqlState DYNAMIC_SQL_ERROR_INVALID_DATETIME_INTERVAL_CODE

0700F: dynamic SQL error: invalid DATETIME_INTERVAL_CODE

#### DYNAMIC_SQL_ERROR_INVALID_DESCRIPTOR_COUNT

    public static final SqlState DYNAMIC_SQL_ERROR_INVALID_DESCRIPTOR_COUNT

07008: dynamic SQL error: invalid descriptor count

#### DYNAMIC_SQL_ERROR_INVALID_DESCRIPTOR_INDEX

    public static final SqlState DYNAMIC_SQL_ERROR_INVALID_DESCRIPTOR_INDEX

07009: dynamic SQL error: invalid descriptor index

#### DYNAMIC_SQL_ERROR_INVALID_LEVEL_VALUE

    public static final SqlState DYNAMIC_SQL_ERROR_INVALID_LEVEL_VALUE

0700E: dynamic SQL error: invalid LEVEL value

#### DYNAMIC_SQL_ERROR_PREPARED_STATEMENT_NOT_A_CURSOR_SPECIFICATION

    public static final SqlState DYNAMIC_SQL_ERROR_PREPARED_STATEMENT_NOT_A_CURSOR_SPECIFICATION

07005: dynamic SQL error: prepared statement not a cursor specification

#### DYNAMIC_SQL_ERROR_RESTRICTED_DATA_TYPE_ATTRIBUTE_VIOLATION

    public static final SqlState DYNAMIC_SQL_ERROR_RESTRICTED_DATA_TYPE_ATTRIBUTE_VIOLATION

07006: dynamic SQL error: restricted data type attribute violation

#### DYNAMIC_SQL_ERROR_UNDEFINED_DATA_VALUE

    public static final SqlState DYNAMIC_SQL_ERROR_UNDEFINED_DATA_VALUE

0700C: dynamic SQL error: undefined DATA value

#### DYNAMIC_SQL_ERROR_USING_CLAUSE_DOES_NOT_MATCH_DYNAMIC_PARAMETER_SPEC

    public static final SqlState DYNAMIC_SQL_ERROR_USING_CLAUSE_DOES_NOT_MATCH_DYNAMIC_PARAMETER_SPEC

07001: dynamic SQL error: using clause does not match dynamic parameter specifications

#### DYNAMIC_SQL_ERROR_USING_CLAUSE_DOES_NOT_MATCH_TARGET_SPEC

    public static final SqlState DYNAMIC_SQL_ERROR_USING_CLAUSE_DOES_NOT_MATCH_TARGET_SPEC

07002: dynamic SQL error: using clause does not match target specifications

#### DYNAMIC_SQL_ERROR_USING_CLAUSE_REQUIRED_FOR_DYNAMIC_PARAMETERS

    public static final SqlState DYNAMIC_SQL_ERROR_USING_CLAUSE_REQUIRED_FOR_DYNAMIC_PARAMETERS

07004: dynamic SQL error: using clause required for dynamic parameters

#### DYNAMIC_SQL_ERROR_USING_CLAUSE_REQUIRED_FOR_RESULT_FIELDS

    public static final SqlState DYNAMIC_SQL_ERROR_USING_CLAUSE_REQUIRED_FOR_RESULT_FIELDS

07007: dynamic SQL error: using clause required for result fields

#### EXTERNAL_ROUTINE_EXCEPTION_NO_SUBCLASS

    public static final SqlState EXTERNAL_ROUTINE_EXCEPTION_NO_SUBCLASS

38000: external routine exception

#### EXTERNAL_ROUTINE_EXCEPTION_CONTAINING_SQL_NOT_PERMITTED

    public static final SqlState EXTERNAL_ROUTINE_EXCEPTION_CONTAINING_SQL_NOT_PERMITTED

38001: external routine exception: containing SQL not permitted

#### EXTERNAL_ROUTINE_EXCEPTION_MODIFYING_SQL_DATA_NOT_PERMITTED

    public static final SqlState EXTERNAL_ROUTINE_EXCEPTION_MODIFYING_SQL_DATA_NOT_PERMITTED

38002: external routine exception: modifying SQL-data not permitted

#### EXTERNAL_ROUTINE_EXCEPTION_PROHIBITED_SQL_STATEMENT_ATTEMPTED

    public static final SqlState EXTERNAL_ROUTINE_EXCEPTION_PROHIBITED_SQL_STATEMENT_ATTEMPTED

38003: external routine exception: prohibited SQL-statement attempted

#### EXTERNAL_ROUTINE_EXCEPTION_READING_SQL_DATA_NOT_PERMITTED

    public static final SqlState EXTERNAL_ROUTINE_EXCEPTION_READING_SQL_DATA_NOT_PERMITTED

38004: external routine exception: reading SQL-data not permitted

#### EXTERNAL_ROUTINE_INVOCATION_EXCEPTION_NO_SUBCLASS

    public static final SqlState EXTERNAL_ROUTINE_INVOCATION_EXCEPTION_NO_SUBCLASS

39000: external routine invocation exception

#### EXTERNAL_ROUTINE_INVOCATION_EXCEPTION_NULL_VALUE_NOT_ALLOWED

    public static final SqlState EXTERNAL_ROUTINE_INVOCATION_EXCEPTION_NULL_VALUE_NOT_ALLOWED

39004: external routine invocation exception: null value not allowed

#### FEATURE_NOT_SUPPORTED_NO_SUBCLASS

    public static final SqlState FEATURE_NOT_SUPPORTED_NO_SUBCLASS

0A000: feature not supported

#### FEATURE_NOT_SUPPORTED_MULTIPLE_ENVIRONMENT_TRANSACTIONS

    public static final SqlState FEATURE_NOT_SUPPORTED_MULTIPLE_ENVIRONMENT_TRANSACTIONS

0A001: feature not supported: multiple server transactions

#### INTEGRITY_CONSTRAINT_VIOLATION_NO_SUBCLASS

    public static final SqlState INTEGRITY_CONSTRAINT_VIOLATION_NO_SUBCLASS

23000: integrity constraint violation

#### INTEGRITY_CONSTRAINT_VIOLATION_RESTRICT_VIOLATION

    public static final SqlState INTEGRITY_CONSTRAINT_VIOLATION_RESTRICT_VIOLATION

23001: integrity constraint violation: restrict violation

#### INVALID_AUTHORIZATION_SPECIFICATION_NO_SUBCLASS

    public static final SqlState INVALID_AUTHORIZATION_SPECIFICATION_NO_SUBCLASS

28000: invalid authorization specification

#### INVALID_CATALOG_NAME_NO_SUBCLASS

    public static final SqlState INVALID_CATALOG_NAME_NO_SUBCLASS

3D000: invalid catalog name

#### INVALID_CHARACTER_SET_NAME_NO_SUBCLASS

    public static final SqlState INVALID_CHARACTER_SET_NAME_NO_SUBCLASS

2C000: invalid character set name

#### INVALID_CHARACTER_SET_NAME_CANNOT_DROP_SQLSESSION_DEFAULT_CHARACTER_SET

    public static final SqlState INVALID_CHARACTER_SET_NAME_CANNOT_DROP_SQLSESSION_DEFAULT_CHARACTER_SET

2C001: invalid character set name: cannot drop SQL-session default character set

#### INVALID_CONDITION_NUMBER_NO_SUBCLASS

    public static final SqlState INVALID_CONDITION_NUMBER_NO_SUBCLASS

35000: invalid condition number

#### INVALID_CONNECTION_NAME_NO_SUBCLASS

    public static final SqlState INVALID_CONNECTION_NAME_NO_SUBCLASS

2E000: invalid connection name

#### INVALID_CURSOR_NAME_NO_SUBCLASS

    public static final SqlState INVALID_CURSOR_NAME_NO_SUBCLASS

34000: invalid cursor name

#### INVALID_CURSOR_STATE_NO_SUBCLASS

    public static final SqlState INVALID_CURSOR_STATE_NO_SUBCLASS

24000: invalid cursor state

#### INVALID_GRANTOR_STATE_NO_SUBCLASS

    public static final SqlState INVALID_GRANTOR_STATE_NO_SUBCLASS

0L000: invalid grantor

#### INVALID_ROLE_SPECIFICATION

    public static final SqlState INVALID_ROLE_SPECIFICATION

0P000: invalid role specification

#### INVALID_SCHEMA_NAME_NO_SUBCLASS

    public static final SqlState INVALID_SCHEMA_NAME_NO_SUBCLASS

3F000: invalid schema name

#### INVALID_SCHEMA_NAME_LIST_SPECIFICATION_NO_SUBCLASS

    public static final SqlState INVALID_SCHEMA_NAME_LIST_SPECIFICATION_NO_SUBCLASS

0E000: invalid schema name list specification

#### INVALID_COLLATION_NAME_NO_SUBCLASS

    public static final SqlState INVALID_COLLATION_NAME_NO_SUBCLASS

2H000: invalid collation name

#### INVALID_SQL_DESCRIPTOR_NAME_NO_SUBCLASS

    public static final SqlState INVALID_SQL_DESCRIPTOR_NAME_NO_SUBCLASS

33000: invalid SQL descriptor name

#### INVALID_SQL_INVOKED_PROCEDURE_REFERENCE_NO_SUBCLASS

    public static final SqlState INVALID_SQL_INVOKED_PROCEDURE_REFERENCE_NO_SUBCLASS

0M000: invalid SQL-invoked procedure reference

#### INVALID_SQL_STATEMENT_NAME_NO_SUBCLASS

    public static final SqlState INVALID_SQL_STATEMENT_NAME_NO_SUBCLASS

26000: invalid SQL statement name

#### INVALID_SQL_STATEMENT_IDENTIFIER_NO_SUBCLASS

    public static final SqlState INVALID_SQL_STATEMENT_IDENTIFIER_NO_SUBCLASS

30000: invalid SQL statement identifier

#### INVALID_TARGET_TYPE_SPECIFICATION_NO_SUBCLASS

    public static final SqlState INVALID_TARGET_TYPE_SPECIFICATION_NO_SUBCLASS

0D000: invalid target type specification

#### INVALID_TRANSACTION_STATE_NO_SUBCLASS

    public static final SqlState INVALID_TRANSACTION_STATE_NO_SUBCLASS

25000: invalid transaction state

#### INVALID_TRANSACTION_STATE_ACTIVE_SQL_TRANSACTION

    public static final SqlState INVALID_TRANSACTION_STATE_ACTIVE_SQL_TRANSACTION

25001: invalid transaction state: active SQL-transaction

#### INVALID_TRANSACTION_STATE_BRANCH_TRANSACTION_ALREADY_ACTIVE

    public static final SqlState INVALID_TRANSACTION_STATE_BRANCH_TRANSACTION_ALREADY_ACTIVE

25002: invalid transaction state: branch transaction already active

#### INVALID_TRANSACTION_STATE_HELD_CURSOR_REQUIRES_SAME_ISOLATION_LEVEL

    public static final SqlState INVALID_TRANSACTION_STATE_HELD_CURSOR_REQUIRES_SAME_ISOLATION_LEVEL

25008: invalid transaction state: held cursor requires same isolation level

#### INVALID_TRANSACTION_STATE_INAPPROPRIATE_ACCESS_MODE_FOR_BRANCH_TRANSACTION

    public static final SqlState INVALID_TRANSACTION_STATE_INAPPROPRIATE_ACCESS_MODE_FOR_BRANCH_TRANSACTION

25003: invalid transaction state: inappropriate access mode for branch transaction

#### INVALID_TRANSACTION_STATE_INAPPROPRIATE_ISOLATION_LEVEL_FOR_BRANCH_TRANSACTION

    public static final SqlState INVALID_TRANSACTION_STATE_INAPPROPRIATE_ISOLATION_LEVEL_FOR_BRANCH_TRANSACTION

25004: invalid transaction state: inappropriate isolation level for branch transaction

#### INVALID_TRANSACTION_STATE_NO_ACTIVE_SQL_TRANSACTION_FOR_BRANCH_TRANSACTION

    public static final SqlState INVALID_TRANSACTION_STATE_NO_ACTIVE_SQL_TRANSACTION_FOR_BRANCH_TRANSACTION

25005: invalid transaction state: no active SQL-transaction for branch transaction

#### INVALID_TRANSACTION_STATE_READ_ONLY_SQL_TRANSACTION

    public static final SqlState INVALID_TRANSACTION_STATE_READ_ONLY_SQL_TRANSACTION

25006: invalid transaction state: read-only SQL-transaction

#### INVALID_TRANSACTION_STATE_SCHEMA_AND_DATA_STATEMENT_MIXING_NOT_SUPPORTED

    public static final SqlState INVALID_TRANSACTION_STATE_SCHEMA_AND_DATA_STATEMENT_MIXING_NOT_SUPPORTED

25007: invalid transaction state: schema and data statement mixing not supported

#### INVALID_TRANSACTION_TERMINATION_NO_SUBCLASS

    public static final SqlState INVALID_TRANSACTION_TERMINATION_NO_SUBCLASS

2D000: invalid transaction termination

#### INVALID_TRANSFORM_GROUP_NAME_SPECIFICATION_NO_SUBCLASS

    public static final SqlState INVALID_TRANSFORM_GROUP_NAME_SPECIFICATION_NO_SUBCLASS

0S000: invalid transform group name specification

#### LOCATOR_EXCEPTION_NO_SUBCLASS

    public static final SqlState LOCATOR_EXCEPTION_NO_SUBCLASS

0F000: locator exception

#### LOCATOR_EXCEPTION_INVALID_SPECIFICATION

    public static final SqlState LOCATOR_EXCEPTION_INVALID_SPECIFICATION

0F001: locator exception: invalid specification

#### NO_DATA_NO_SUBCLASS

    public static final SqlState NO_DATA_NO_SUBCLASS

02000: no data

#### NO_DATA_NO_ADDITIONAL_RESULT_SETS_RETURNED

    public static final SqlState NO_DATA_NO_ADDITIONAL_RESULT_SETS_RETURNED

02001: no data: no additional result sets returned

#### PROHIBITED_STATEMENT_DURING_TRIGGER_EXECUTION_NO_SUBCLASS

    public static final SqlState PROHIBITED_STATEMENT_DURING_TRIGGER_EXECUTION_NO_SUBCLASS

0W000: prohibited statement encountered during trigger execution

#### PROHIBITED_STATEMENT_DURING_TRIGGER_EXECUTION_MODIFY_TABLE_MODIFIED_BY_DATA_CHANGE_DELTA_TABLE

    public static final SqlState PROHIBITED_STATEMENT_DURING_TRIGGER_EXECUTION_MODIFY_TABLE_MODIFIED_BY_DATA_CHANGE_DELTA_TABLE

0W001: prohibited statement encountered during trigger execution: modify table modified by data change delta table

#### REMOTE_DATABASE_ACCESS_NO_SUBCLASS

    public static final SqlState REMOTE_DATABASE_ACCESS_NO_SUBCLASS

HZ: Remote Database Access

(See Table 12, 'SQLSTATE class and subclass values for RDA-specific conditions' in [ISO9579], Subclause 8.1, 'Exception codes for RDA-specific Conditions', for the definition of protocol subconditions and subclass code values.)

#### SAVEPOINT_EXCEPTION_NO_SUBCLASS

    public static final SqlState SAVEPOINT_EXCEPTION_NO_SUBCLASS

3B000: savepoint exception

#### SAVEPOINT_EXCEPTION_INVALID_SPECIFICATION

    public static final SqlState SAVEPOINT_EXCEPTION_INVALID_SPECIFICATION

3B001: savepoint exception: invalid specification

#### SAVEPOINT_EXCEPTION_TOO_MANY

    public static final SqlState SAVEPOINT_EXCEPTION_TOO_MANY

3B002: savepoint exception: too many

#### SQL_ROUTINE_EXCEPTION_NO_SUBCLASS

    public static final SqlState SQL_ROUTINE_EXCEPTION_NO_SUBCLASS

2F000: SQL routine exception

#### SQL_ROUTINE_EXCEPTION_FUNCTION_EXECUTED_NO_RETURN_STATEMENT

    public static final SqlState SQL_ROUTINE_EXCEPTION_FUNCTION_EXECUTED_NO_RETURN_STATEMENT

2F005: SQL routine exception: function executed no return statement

#### SQL_ROUTINE_EXCEPTION_MODIFYING_SQL_DATA_NOT_PERMITTED

    public static final SqlState SQL_ROUTINE_EXCEPTION_MODIFYING_SQL_DATA_NOT_PERMITTED

2F002: SQL routine exception: modifying SQL-data not permitted

#### SQL_ROUTINE_EXCEPTION_PROHIBITED_SQL_STATEMENT_ATTEMPTED

    public static final SqlState SQL_ROUTINE_EXCEPTION_PROHIBITED_SQL_STATEMENT_ATTEMPTED

2F003: SQL routine exception: prohibited SQL-statement attempted

#### SQL_ROUTINE_EXCEPTION_READING_SQL_DATA_NOT_PERMITTED

    public static final SqlState SQL_ROUTINE_EXCEPTION_READING_SQL_DATA_NOT_PERMITTED

2F004: SQL routine exception: reading SQL-data not permitted

#### SUCCESSFUL_COMPLETION_NO_SUBCLASS

    public static final SqlState SUCCESSFUL_COMPLETION_NO_SUBCLASS

00000: successful completion

#### SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_NO_SUBCLASS

    public static final SqlState SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_NO_SUBCLASS

42000: syntax error or access rule violation

#### SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_IN_DIRECT_STATEMENT_NO_SUBCLASS

    public static final SqlState SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_IN_DIRECT_STATEMENT_NO_SUBCLASS

2A000: syntax error or access rule violation

#### SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_IN_DYNAMIC_STATEMENT_NO_SUBCLASS

    public static final SqlState SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION_IN_DYNAMIC_STATEMENT_NO_SUBCLASS

37000: syntax error or access rule violation

#### TARGET_TABLE_DISAGREES_WITH_CURSOR_SPECIFICATION_NO_SUBCLASS

    public static final SqlState TARGET_TABLE_DISAGREES_WITH_CURSOR_SPECIFICATION_NO_SUBCLASS

0T000: target table disagrees with cursor specification

#### TRANSACTION_ROLLBACK_NO_SUBCLASS

    public static final SqlState TRANSACTION_ROLLBACK_NO_SUBCLASS

40000: transaction rollback

#### TRANSACTION_ROLLBACK_INTEGRITY_CONSTRAINT_VIOLATION

    public static final SqlState TRANSACTION_ROLLBACK_INTEGRITY_CONSTRAINT_VIOLATION

40002: transaction rollback: integrity constraint violation

#### TRANSACTION_ROLLBACK_SERIALIZATION_FAILURE

    public static final SqlState TRANSACTION_ROLLBACK_SERIALIZATION_FAILURE

40001: transaction rollback: serialization failure

#### TRANSACTION_ROLLBACK_STATEMENT_COMPLETION_UNKNOWN

    public static final SqlState TRANSACTION_ROLLBACK_STATEMENT_COMPLETION_UNKNOWN

40003: transaction rollback: statement completion unknown

#### TRANSACTION_ROLLBACK_TRIGGERED_ACTION_EXCEPTION

    public static final SqlState TRANSACTION_ROLLBACK_TRIGGERED_ACTION_EXCEPTION

40004: transaction rollback: triggered action exception

#### TRIGGERED_ACTION_EXCEPTION_NO_SUBCLASS

    public static final SqlState TRIGGERED_ACTION_EXCEPTION_NO_SUBCLASS

09000: triggered action exception

#### TRIGGERED_DATA_CHANGE_VIOLATION_NO_SUBCLASS

    public static final SqlState TRIGGERED_DATA_CHANGE_VIOLATION_NO_SUBCLASS

27000: triggered data change violation

#### TRIGGERED_DATA_CHANGE_VIOLATION_MODIFY_TABLE_MODIFIED_BY_DATA_CHANGE_DELTA_TABLE

    public static final SqlState TRIGGERED_DATA_CHANGE_VIOLATION_MODIFY_TABLE_MODIFIED_BY_DATA_CHANGE_DELTA_TABLE

27001: triggered data change violation: modify table modified by data change delta table

#### WARNING_NO_SUBCLASS

    public static final SqlState WARNING_NO_SUBCLASS

01000: warning

#### WARNING_ADDITIONAL_RESULT_SETS_RETURNED

    public static final SqlState WARNING_ADDITIONAL_RESULT_SETS_RETURNED

0100D: warning: additional result sets returned

#### WARNING_ARRAY_DATA_RIGHT_TRUNCATION

    public static final SqlState WARNING_ARRAY_DATA_RIGHT_TRUNCATION

0102F: warning: array data, right truncation

#### WARNING_ATTEMPT_TO_RETURN_TOO_MANY_RESULT_SETS

    public static final SqlState WARNING_ATTEMPT_TO_RETURN_TOO_MANY_RESULT_SETS

0100E: warning: attempt to return too many result sets

#### WARNING_CURSOR_OPERATION_CONFLICT

    public static final SqlState WARNING_CURSOR_OPERATION_CONFLICT

01001: warning: cursor operation conflict

#### WARNING_DEFAULT_VALUE_TOO_LONG_FOR_INFORMATION_SCHEMA

    public static final SqlState WARNING_DEFAULT_VALUE_TOO_LONG_FOR_INFORMATION_SCHEMA

0100B: warning: default value too long for information schema

#### WARNING_DISCONNECT_ERROR

    public static final SqlState WARNING_DISCONNECT_ERROR

01002: warning: disconnect error

#### WARNING_INSUFFICIENT_ITEM_DESCRIPTOR_AREAS

    public static final SqlState WARNING_INSUFFICIENT_ITEM_DESCRIPTOR_AREAS

01005: warning: insufficient item descriptor areas

#### WARNING_INVALID_NUMBER_OF_CONDITIONS

    public static final SqlState WARNING_INVALID_NUMBER_OF_CONDITIONS

01012: warning: invalid number of conditions

#### WARNING_NULL_VALUE_ELIMINATED_IN_SET_FUNCTION

    public static final SqlState WARNING_NULL_VALUE_ELIMINATED_IN_SET_FUNCTION

01003: warning: null value eliminated in set function

#### WARNING_PRIVILEGE_NOT_GRANTED

    public static final SqlState WARNING_PRIVILEGE_NOT_GRANTED

01007: warning: privilege not granted

#### WARNING_PRIVILEGE_NOT_REVOKED

    public static final SqlState WARNING_PRIVILEGE_NOT_REVOKED

01006: warning: privilege not revoked

#### WARNING_QUERY_EXPRESSION_TOO_LONG_FOR_INFORMATION_SCHEMA

    public static final SqlState WARNING_QUERY_EXPRESSION_TOO_LONG_FOR_INFORMATION_SCHEMA

0100A: warning: query expression too long for information schema

#### WARNING_DYNAMIC_RESULT_SETS_RETURNED

    public static final SqlState WARNING_DYNAMIC_RESULT_SETS_RETURNED

0100C: warning: result sets returned

#### WARNING_SEARCH_CONDITION_TOO_LONG_FOR_INFORMATION_SCHEMA

    public static final SqlState WARNING_SEARCH_CONDITION_TOO_LONG_FOR_INFORMATION_SCHEMA

01009: warning: search condition too long for information schema

#### WARNING_STATEMENT_TOO_LONG_FOR_INFORMATION_SCHEMA

    public static final SqlState WARNING_STATEMENT_TOO_LONG_FOR_INFORMATION_SCHEMA

0100F: warning: statement too long for information schema

#### WARNING_STRING_DATA_RIGHT_TRUNCATION_WARNING

    public static final SqlState WARNING_STRING_DATA_RIGHT_TRUNCATION_WARNING

01004: warning: string data, right truncation

#### WITH_CHECK_OPTION_VIOLATION_NO_SUBCLASS

    public static final SqlState WITH_CHECK_OPTION_VIOLATION_NO_SUBCLASS

44000: with check option violation

### Field Detail

#### category

    public final org.apache.calcite.avatica.SqlState.Category category

#### condition

    public final String condition

#### klass

    public final String klass

#### subCondition

    public final String subCondition

#### subClass

    public final String subClass

#### code

    public final String code

#### INVALID_SQL_STATEMENT

    public static final SqlState INVALID_SQL_STATEMENT

Alias for backwards compatibility with previous versions of SQL spec.

#### BY_CODE

    public static final Map<String,SqlState> BY_CODE

### Method Detail

#### values

    public static SqlState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlState c : SqlState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null